package com.ruoyi.zdsz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.zdsz.domain.ZEnginSpecifications;
import com.ruoyi.zdsz.domain.vo.ZEnginSpecificationsVo;
import com.ruoyi.zdsz.domain.bo.ZEnginSpecificationsBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工程材质规格Service接口
 *
 * @author ruoyi
 * @date 2023-12-29
 */
public interface IZEnginSpecificationsService {

    /**
     * 查询工程材质规格
     */
    ZEnginSpecificationsVo queryById(String id);

    /**
     * 查询工程材质规格列表
     */
    TableDataInfo<ZEnginSpecificationsVo> queryPageList(ZEnginSpecificationsBo bo, PageQuery pageQuery);

    /**
     * 查询工程材质规格列表
     */
    List<ZEnginSpecificationsVo> queryList(ZEnginSpecificationsBo bo);

    /**
     * 新增工程材质规格
     */
    Boolean insertByBo(ZEnginSpecificationsBo bo);

    /**
     * 修改工程材质规格
     */
    Boolean updateByBo(ZEnginSpecificationsBo bo);

    /**
     * 校验并批量删除工程材质规格信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    List<ZEnginSpecificationsVo> getEnginSpecifications(String materId);
}
